import { MenuComponent } from './menu/menu.component';
import { OrganizationDetailComponent } from './organizations/detail/organization-detail.component';
import { OrganizationFormComponent } from './organizations/edit/organization-form.component';
import { OrganizationsComponent } from './organizations/list/organizations.component';
import { PaginatorComponent } from './paginator/paginator.component';
import { ResourceDetailComponent } from './resources/detail/resource-detail.component';
import { ResourceFormComponent } from './resources/edit/resource-form.component';
import { ResourcesComponent } from './resources/list/resources.component';
import { BackButtonComponent } from './back-button/back-button.component';
import { CrudButtonsComponent } from './crud-buttons/crud-buttons.component';
import { FormatsComponent } from './formats/list/formats.component';
import { FormatDetailComponent } from './formats/detail/format-detail.component';
import { FormatFormComponent } from './formats/edit/format-form.component';
import { ImageUploadComponent } from './image-upload/image-upload.component';
import { NotificationsComponent } from './notifications/notifications.component';
import { PageHeaderComponent } from './page-header/page-header.component';

export {
  MenuComponent,
  OrganizationDetailComponent,
  OrganizationFormComponent,
  OrganizationsComponent,
  PaginatorComponent,
  ResourceDetailComponent,
  ResourceFormComponent,
  ResourcesComponent,
  BackButtonComponent,
  CrudButtonsComponent,
  FormatsComponent,
  FormatDetailComponent,
  FormatFormComponent,
  ImageUploadComponent,
  NotificationsComponent,
  PageHeaderComponent,
};

// tslint:disable-next-line:variable-name
export const AppComponents = [
  MenuComponent,
  OrganizationDetailComponent,
  OrganizationFormComponent,
  OrganizationsComponent,
  PaginatorComponent,
  ResourceDetailComponent,
  ResourceFormComponent,
  ResourcesComponent,
  BackButtonComponent,
  CrudButtonsComponent,
  FormatsComponent,
  FormatDetailComponent,
  FormatFormComponent,
  ImageUploadComponent,
  NotificationsComponent,
  PageHeaderComponent,
];
